#ifndef find_mkisofs_h
#define find_mkisofs_h

// Written Dec 2011 Tom Horsley
// Released to the universe with no license restrictions of any kind.

#include <string>

// isopack needs the mkisofs tool in order to work. This class
// has static functions that try to find a good copy somewhere on
// the system.
//
class FindMkisofs {
public:

   static void
   SetMkisofsProgram(std::string init_mkisofs_program);

   static bool
   SearchPathForMkisofs();

   static bool
   ValidMkisofsProg();

   static void
   SetMkisofsArguments(std::string init_arguments);

   static std::string
   GetMkisofsProgram();

   static std::string
   GetMkisofsArguments();

   static std::string
   GetPlainMkisofsArguments();

private:

   static std::string mkisofs_prog;
   static std::string mkisofs_args;
};

#endif // find_mkisofs_h
