// Use this like so:
//
// pack-and-write args... 2>&1 | pack-progress
//
// Overwrites all the thousands of progress messages from cdrecord on one
// terminal line rather than scrolling them and all that came before them
// off the screen.

#include <iostream>
#include <string>

int
main(int argc, char ** argv) {
   bool last_cr = false;
   while (std::cin.good()) {
      std::string inp;
      getline(std::cin, inp);
      if ((inp.size() == 0) && (std::cin.eof())) {
         break;
      }
      bool is_progress = inp.find("done, estimate finish") != std::string::npos;
      if ((! is_progress) && last_cr) {
         std::cout << std::endl;
         last_cr = false;
      }
      std::cout << inp;
      if (is_progress) {
         std::cout << '\r';
         last_cr = true;
      } else {
         std::cout << std::endl;
         last_cr = false;
      }
   }
   return 0;
}
